*********************************************************************
      module readtable
*********************************************************************
      implicit none
      character(200) Ccomment
      integer :: Nuniv,Ncomm
      integer,allocatable :: Nelement(:)
      real(8),allocatable :: CTthld(:)
      real(8),allocatable :: rho(:)
      character(100),allocatable :: Clines(:)
      real(8) :: Wlower,Wupper
      contains
!----------------------------------------------------------------------
      subroutine READhvtable(Cconvtable)
      use stdinout, only:stdout
      implicit none
      character(200),intent(in) :: Cconvtable
      integer :: Nconvtable
      integer :: iuniv,i
      integer :: io,itotal,iline
      character(1) :: hash
      logical Fex

      io=10
      Nconvtable=len_trim(Cconvtable)
      inquire(file=Cconvtable(1:Nconvtable),exist=Fex)
      if(.not.Fex)then
        write(stdout,*)'ERROR: missing HumanVoxelTable.data'
        stop
      endif
      open(io,file=Cconvtable(1:Nconvtable))
      read(io,'(a)')Ccomment

      Ncomm=index(Ccomment,'!',back=.true.)-1
      if(Ncomm.eq.0)Ncomm=len_trim(Ccomment)
      write(stdout,'(2a)')'***************************',
     &     '******************************************'
      write(stdout,'(a)')'Using'
      write(stdout,'(2a)')'  ',Ccomment(1:Ncomm)
      write(stdout,'(2a)')'***************************',
     &     '******************************************'
      read(io,*)Nuniv
      allocate( Nelement(Nuniv),CTthld(Nuniv),rho(Nuniv) )
      do iuniv=1,Nuniv
        read(io,*)CTthld(iuniv),rho(iuniv),Nelement(iuniv)
      enddo
      read(io,*)Wupper

      Wlower=CTthld(1)

      itotal=sum(Nelement(1:Nuniv))
      allocate( Clines(itotal) )

      iline=0
      do iuniv=1,Nuniv
        read(io,*)hash
        if(hash.ne.'#')then
          write(stdout,'(a,i5)')
     &         ' ERROR: HumanVoxelTable.data format is wrong in Univ=',
     &         iuniv
          stop
        endif
        do i=1,Nelement(iuniv)
          iline=iline+1
          read(io,'(a)')Clines(iline)
        enddo
      enddo
      if(iline.ne.itotal)then
        write(stdout,*)
     &       'ERROR: HumanVoxelTable.data mismatch in line numbers'
        stop
      endif
      return
      end subroutine READhvtable
!----------------------------------------------------------------------
      subroutine CT2mat(x,matnum,Flow,Fup,CTmin,CTmax)
      implicit none
      real(8),intent(in) :: x
      integer,intent(out) :: matnum
      logical,intent(inout) :: Flow,Fup
      integer :: ilow,ihigh,imid
      real(8) :: CTmin,CTmax

      if(x.lt.Wlower)then
        if(.not.Flow)then
          Flow=.true.
          CTmin=x
        else
          CTmin=min(CTmin,x)
        endif
        matnum=1
        return
      elseif(x.gt.Wupper)then
        if(.not.Fup)then
          Fup=.true.
          CTmax=x
        else
          CTmax=max(CTmax,x)
        endif
        matnum=Nuniv
      else
        ilow=0
        ihigh=Nuniv+1
        do
          if(ihigh-ilow.le.1)exit
          imid=(ihigh+ilow)/2
          if(x.ge.CTthld(imid))then
            ilow=imid
          else
            ihigh=imid
          endif
        enddo
        matnum=ilow
      endif
      return
      end subroutine CT2mat
!----------------------------------------------------------------------
      end module readtable

